--- ./libgo/Makefile.am.orig	2017-06-01 16:07:17 -0500
+++ ./libgo/Makefile.am	2017-06-06 15:07:22 -0500
@@ -578,7 +578,7 @@
 # sigset conflicts with system type sigset on AIX, so we need to rename it
 runtime.inc: s-runtime-inc; @true
 s-runtime-inc: runtime.lo Makefile
-	rm -f runtime.inc.tmp2
+	rm -f runtime.inc.tmp2 runtime.inc.tmp3
 	grep -v "#define _" runtime.inc.tmp | grep -v "#define [cm][01234] " > runtime.inc.tmp2
 	for pattern in '_[GP][a-z]' _Max _Lock _Sig _Trace _MHeap _Num; do \
 	  grep "#define $$pattern" runtime.inc.tmp >> runtime.inc.tmp2; \
@@ -589,6 +589,7 @@
 	done
 	sed -e 's/sigset/sigset_go/' runtime.inc.tmp2 > runtime.inc.tmp3
 	$(SHELL) $(srcdir)/mvifdiff.sh runtime.inc.tmp3 runtime.inc
+	rm -f runtime.inc.tmp2 runtime.inc.tmp3
 	$(STAMP) $@
 
 noinst_DATA = zstdpkglist.go
@@ -1435,7 +1436,12 @@
 bench:
 	-@$(MAKE) -k $(TEST_PACKAGES) GOBENCH=.
 
-MOSTLYCLEAN_FILES = libgo.head libgo.sum.sep libgo.log.sep
+MOSTLYCLEANFILES = \
+	s-runtime_sysinfo s-sigtab s-runtime-inc s-zstdpkglist \
+	s-libcalls s-libcalls-list s-syscall_arch s-gen-sysinfo s-sysinfo \
+	s-errno s-epoll \
+	libgo.head libgo.sum.sep libgo.log.sep libgo.var \
+	libcalls-list runtime.inc runtime.inc.tmp2 runtime.inc.tmp3
 
 mostlyclean-local:
 	find . -name '*.lo' -print | xargs $(LIBTOOL) --mode=clean rm -f
@@ -1443,8 +1449,13 @@
 	find . -name '*-testsum' -print | xargs rm -f
 	find . -name '*-testlog' -print | xargs rm -f
 
-CLEANFILES = *.go *.gox goc2c *.c s-version libgo.sum libgo.log
+CLEANFILES = *.go goc2c *.c s-version libgo.sum libgo.log runtime.inc
 
 clean-local:
 	find . -name '*.la' -print | xargs $(LIBTOOL) --mode=clean rm -f
 	find . -name '*.a' -print | xargs rm -f
+	find . -name '*.gox' -print | xargs rm -f
+	find . -name '*.s-gox' -print | xargs rm -f
+
+distclean-local:
+	find . -name '*.lo.dep' -print | xargs rm -f
--- ./libgo/Makefile.in.orig	2017-06-01 16:07:28 -0500
+++ ./libgo/Makefile.in	2017-06-06 15:07:58 -0500
@@ -1353,8 +1353,14 @@
 	unicode/utf16/check \
 	unicode/utf8/check
 
-MOSTLYCLEAN_FILES = libgo.head libgo.sum.sep libgo.log.sep
-CLEANFILES = *.go *.gox goc2c *.c s-version libgo.sum libgo.log
+MOSTLYCLEANFILES = \
+	s-runtime_sysinfo s-sigtab s-runtime-inc s-zstdpkglist \
+	s-libcalls s-libcalls-list s-syscall_arch s-gen-sysinfo s-sysinfo \
+	s-errno s-epoll \
+	libgo.head libgo.sum.sep libgo.log.sep libgo.var \
+	libcalls-list runtime.inc runtime.inc.tmp2 runtime.inc.tmp3
+
+CLEANFILES = *.go goc2c *.c s-version libgo.sum libgo.log runtime.inc
 all: config.h
 	$(MAKE) $(AM_MAKEFLAGS) all-recursive
 
@@ -2922,6 +2928,7 @@
 	    "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
 	fi
 mostlyclean-generic:
+	-test -z "$(MOSTLYCLEANFILES)" || rm -f $(MOSTLYCLEANFILES)
 
 clean-generic:
 	-test -z "$(CLEANFILES)" || rm -f $(CLEANFILES)
@@ -2944,7 +2951,7 @@
 	-rm -rf ./$(DEPDIR)
 	-rm -f Makefile
 distclean-am: clean-am distclean-compile distclean-generic \
-	distclean-hdr distclean-libtool distclean-tags
+	distclean-hdr distclean-libtool distclean-local distclean-tags
 
 dvi: dvi-recursive
 
@@ -3072,15 +3079,15 @@
 	clean-generic clean-libtool clean-local clean-multi \
 	clean-toolexeclibLIBRARIES clean-toolexeclibLTLIBRARIES ctags \
 	ctags-recursive distclean distclean-compile distclean-generic \
-	distclean-hdr distclean-libtool distclean-multi distclean-tags \
-	dvi dvi-am html html-am info info-am install install-am \
-	install-data install-data-am install-dvi install-dvi-am \
-	install-exec install-exec-am install-html install-html-am \
-	install-info install-info-am install-man install-multi \
-	install-pdf install-pdf-am install-ps install-ps-am \
-	install-strip install-toolexeclibLIBRARIES \
-	install-toolexeclibLTLIBRARIES install-toolexeclibgoDATA \
-	install-toolexeclibgoarchiveDATA \
+	distclean-hdr distclean-libtool distclean-local \
+	distclean-multi distclean-tags dvi dvi-am html html-am info \
+	info-am install install-am install-data install-data-am \
+	install-dvi install-dvi-am install-exec install-exec-am \
+	install-html install-html-am install-info install-info-am \
+	install-man install-multi install-pdf install-pdf-am \
+	install-ps install-ps-am install-strip \
+	install-toolexeclibLIBRARIES install-toolexeclibLTLIBRARIES \
+	install-toolexeclibgoDATA install-toolexeclibgoarchiveDATA \
 	install-toolexeclibgocompressDATA \
 	install-toolexeclibgocontainerDATA \
 	install-toolexeclibgocryptoDATA \
@@ -3226,7 +3233,7 @@
 # sigset conflicts with system type sigset on AIX, so we need to rename it
 runtime.inc: s-runtime-inc; @true
 s-runtime-inc: runtime.lo Makefile
-	rm -f runtime.inc.tmp2
+	rm -f runtime.inc.tmp2 runtime.inc.tmp3
 	grep -v "#define _" runtime.inc.tmp | grep -v "#define [cm][01234] " > runtime.inc.tmp2
 	for pattern in '_[GP][a-z]' _Max _Lock _Sig _Trace _MHeap _Num; do \
 	  grep "#define $$pattern" runtime.inc.tmp >> runtime.inc.tmp2; \
@@ -3237,6 +3244,7 @@
 	done
 	sed -e 's/sigset/sigset_go/' runtime.inc.tmp2 > runtime.inc.tmp3
 	$(SHELL) $(srcdir)/mvifdiff.sh runtime.inc.tmp3 runtime.inc
+	rm -f runtime.inc.tmp2 runtime.inc.tmp3
 	$(STAMP) $@
 
 # Generate the list of go std packages that were included in libgo
@@ -3527,6 +3535,11 @@
 clean-local:
 	find . -name '*.la' -print | xargs $(LIBTOOL) --mode=clean rm -f
 	find . -name '*.a' -print | xargs rm -f
+	find . -name '*.gox' -print | xargs rm -f
+	find . -name '*.s-gox' -print | xargs rm -f
+
+distclean-local:
+	find . -name '*.lo.dep' -print | xargs rm -f
 
 # Tell versions [3.59,3.63) of GNU make to not export all variables.
 # Otherwise a system limit (for SysV at least) may be exceeded.
